summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-05-23 21:32:20 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-23 21:32:20 +0700
commit76726771cb8f34ef5e017edca08bc985847e037d (patch)
treeb8506b982f1eb94891843540a81d3c58d77bfd12
parentd675ba99e94ac0e5f2afaef96cd88c16e6f2d948 (diff)
downloadslackbuilds-76726771cb8f34ef5e017edca08bc985847e037d.tar.gz
slackbuilds-76726771cb8f34ef5e017edca08bc985847e037d.tar.xz
desktop/boje-themes: Added (GTK2|GTK3 themes).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/boje-themes/README5
-rw-r--r--desktop/boje-themes/boje-themes.SlackBuild60
-rw-r--r--desktop/boje-themes/boje-themes.info10
-rw-r--r--desktop/boje-themes/doinst.sh13
-rw-r--r--desktop/boje-themes/slack-desc19
5 files changed, 107 insertions, 0 deletions
diff --git a/desktop/boje-themes/README b/desktop/boje-themes/README
new file mode 100644
index 0000000000..ad3163298b
--- /dev/null
+++ b/desktop/boje-themes/README
@@ -0,0 +1,5 @@
+boje-themes (GTK2|GTK3 themes).
+
+Boje Theme for gtk3, gtk2, gnome-shell, metacity, unity, xfwm4, openbox, cinnamon and emerald.
+
+Optional dependencies: gtk-engines, murrine, cantarell-fonts.
diff --git a/desktop/boje-themes/boje-themes.SlackBuild b/desktop/boje-themes/boje-themes.SlackBuild
new file mode 100644
index 0000000000..c6de655fe5
--- /dev/null
+++ b/desktop/boje-themes/boje-themes.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+# Slackware build script for boje-themes.
+
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="boje-themes"
+SRCNAM="boje_1_2_1_by_nale12-d5o4jp6"
+VERSION=${VERSION:-1.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$SRCNAM.zip
+mkdir $PRGNAM-$VERSION
+mv Boje* $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/themes
+cp -a * $PKG/usr/share/themes
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/boje-themes/boje-themes.info b/desktop/boje-themes/boje-themes.info
new file mode 100644
index 0000000000..44fd2c050f
--- /dev/null
+++ b/desktop/boje-themes/boje-themes.info
@@ -0,0 +1,10 @@
+PRGNAM="boje-themes"
+VERSION="1.2.1"
+HOMEPAGE="http://nale12.deviantart.com/art/Boje-1-2-1-342853818"
+DOWNLOAD="http://fc05.deviantart.net/fs70/f/2013/047/6/7/boje_1_2_1_by_nale12-d5o4jp6.zip"
+MD5SUM="07e02eb76b1fa0212264733e343786e5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/boje-themes/doinst.sh b/desktop/boje-themes/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/boje-themes/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/boje-themes/slack-desc b/desktop/boje-themes/slack-desc
new file mode 100644
index 0000000000..cfc3deab54
--- /dev/null
+++ b/desktop/boje-themes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+boje-themes: boje-themes (GTK2|GTK3 themes).
+boje-themes:
+boje-themes: Boje Theme for gtk3, gtk2, gnome-shell, metacity, unity, xfwm4,
+boje-themes: openbox, cinnamon and emerald.
+boje-themes:
+boje-themes: Home page: http://rent0n86.deviantart.com/art/boje-136909912/
+boje-themes:
+boje-themes:
+boje-themes:
+boje-themes:
+boje-themes: